#ifndef __C2OBST_H
#define __C2OBST_H
/* --------------------------------------------------------------------------
 * Copyright 1992-1993 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the license
 * version 1 you should have received along with this software.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-76131 Karlsruhe, Germany.
 *
 * --------------------------------------------------------------------------
 * Interface definitions for the C --> OBST Interface: Utilities
 * --------------------------------------------------------------------------
 * ORIGINAL: D. Theobald				DATE: 14/2/93
 * --------------------------------------------------------------------------
 */
#include "c2obst.h"

#ifdef __cplusplus
extern "C" {
#endif


#define ERR_HANDLING_WRAPPER(standard_code, exception_code)		\
   if (obst_catch_syserrs)						\
   {  obst_syserr=NULL;							\
      err_block     { standard_code }					\
      err_exception { obst_syserr=err_last_raised(); exception_code }	\
      err_block_end }							\
   else { standard_code }

/*
 * NOTE: `standard_code' must not be left via `return' since this will cause
 *	 a memory leak (see err(3)).
 */


extern char* obst_uniqueString __FSIG_((const char*));
extern void  _c2obst_Cinit     __FSIG_(());
extern void  _c2obst_init      __FSIG_(());

#ifdef __cplusplus
extern char* c2obst_encode_type (const sos_Type&);

}
#endif
#endif
